Subject: Bug pushing branch to new remote via SSH

From: David Dynerman <[email-masked]>
Date: Sun, 16 Aug 2015 10:56:13 +0900

Hello,

I am encountering a bizarre error message trying to push a branch to a
new remote over SSH. The error message is

fatal: packfile name 'remotehost.com' does not end with '.pack'

Here, remotehost.com is the internet domain name of the remote host I'm
trying to push to.

Obviously pushing to SSH remotes isn't broken generally, so I think this
is caused by some bad state in my repository. But the error message
seems odd enough that I think I might be encountering a bug.

If anyone has any hints on how to resolve this, I'd really appreciate
it.

On my laptop, which is running OS X:

$ git fsck
Checking object directories: 100% (256/256), done.
Checking objects: 100% (398/398), done.

$ ssh remotehost.com "git init ~/git/my_repo --bare"
Initialized empty Git repository in /home/user/git/my_repo/

$ git remote add remotehost ssh://remotehost.com/home/user/git/my_repo

$ git push remotehost master
Counting objects: 405, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (298/298), done.
fatal: packfile name 'remotehost.com' does not end with '.pack'
error: pack-objects died of signal 13
error: failed to push some refs to
'ssh://remotehost.com/home/user/git/my_repo/'

$ git --version
git version 2.2.0

$ ssh remotehost.com "git --version"
git version 1.7.10.1

Thank you very much,
David